%define		kf_ver		5.94.0
%define		qt_ver		6.4.0
%define		kaname		kdegraphics-mobipocket
Summary:	KDE graphics mobipocket library
Summary(pl.UTF-8):	Biblioteka KDE graphics mobipocket
Name:		ka6-%{kaname}
Version:	25.04.2
Release:	2
License:	GPL v2+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/release-service/%{version}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	ba527148ce6ae8bf174cde1adb731973
URL:		https://kde.org/
BuildRequires:	Qt6Core-devel >= %{qt_ver}
BuildRequires:	Qt6Gui-devel >= %{qt_ver}
BuildRequires:	Qt6Qt5Compat-devel >= %{qt_ver}
BuildRequires:	cmake >= 3.20
BuildRequires:	gettext-tools
BuildRequires:	kf6-extra-cmake-modules >= %{kf_ver}
BuildRequires:	ninja
BuildRequires:	qt6-build >= %{qt_ver}
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	Qt6Core >= %{qt_ver}
Requires:	Qt6Gui >= %{qt_ver}
Requires:	Qt6Qt5Compat >= %{qt_ver}
# don't obsolete until ka5 exists on ftp
#Obsoletes:	ka5-kdegraphics-mobipocket < 24
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library to support mobipocket ebooks.

%description -l pl.UTF-8
Biblioteka do obsługi e-booków mobipocket.

%package devel
Summary:	Header files for %{kaname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kaname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	Qt6Core-devel >= %{qt_ver}
Requires:	Qt6Gui-devel >= %{qt_ver}
#Obsoletes:	ka5-kdegraphics-mobipocket-devel < 24

%description devel
Header files for %{kaname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kaname}.

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake \
	-B build \
	-G Ninja \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DQT_MAJOR_VERSION=6

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libQMobipocket6.so.*.*
%ghost %{_libdir}/libQMobipocket6.so.2

%files devel
%defattr(644,root,root,755)
%{_libdir}/libQMobipocket6.so
%{_includedir}/QMobipocket6
%{_libdir}/cmake/QMobipocket6
%changelog
* Mon Jun 09 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka6-kdegraphics-mobipocket.git;a=log;h=master

* Mon Jun 09 2025 Jakub Bogusz <qboosh@pld-linux.org> 7664420
- requires Qt6Qt5Compat

* Mon Jun 09 2025 Jakub Bogusz <qboosh@pld-linux.org> 636ccf2
- don't obsolete ka5-kdegraphics-mobipocket yet (both library versions can coexist); release 2

* Mon Jun 09 2025 Jakub Bogusz <qboosh@pld-linux.org> 54188c9
- unified with ka5-kdegraphics-mobipocket.spec

* Thu Jun 05 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 59de125
- updated to 25.04.2

* Fri May 30 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> f888797
- relup

* Thu May 08 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 9567ed5
- updated to 25.04.1

* Thu Apr 17 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 22c0338
- updated to 25.04.0

* Fri Mar 07 2025 Witold Filipczyk <witekfl@poczta.onet.pl> e52d31e
- updated to 24.12.3

* Sat Feb 08 2025 Witold Filipczyk <witekfl@poczta.onet.pl> ee2a4dc
- updated to 24.12.2

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> b5f0388
- updated to 24.12.1

* Thu Dec 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> af7d8ee
- updated to 24.12.0

* Thu Nov 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c42ee5d
- updated to 24.08.3

* Thu Oct 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> e0e8fe6
- updated to 24.08.2

* Thu Sep 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 19e15ff
- updated to 24.08.1

* Fri Aug 23 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 02ec021
- updated to 24.08.0

* Wed Aug 07 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> d346a77
- updated url to trigger source download

* Fri Jul 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c7ee8a0
- updated to 24.05.2

* Fri Jun 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 2f1665f
- updated to 24.05.1

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 5dada4b
- updated to 24.05.0

* Sat Apr 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c7a3ff1
- updated to 24.02.2

